This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1003280 - (postscriptbarcode) Review Request: postscriptbarcode - Barcode Writer in Pure PostScript
Review Request: postscriptbarcode - Barcode Writer in Pure PostScript
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kbarcode
  Show dependency treegraph
 
Reported: 2013-09-01 11:06 EDT by Mario Blättermann
Modified: 2013-11-10 01:34 EST (History)
4 users (show)

See Also:
Fixed In Version: postscriptbarcode-20131006-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-08 22:34:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mario Blättermann 2013-09-01 11:06:08 EDT
Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/libpostscriptbarcode.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/libpostscriptbarcode-20130603-1.fc19.src.rpm

Description:
Barcode Writer in Pure Postscript generates all barcode formats entirely
within PostScript so that the process of converting the input data into
the printed output can be performed by the printer or RIP itself. This is
ideal for variable data printing (VDP) and avoids the need to re-implement
the barcode generation process whenever your language needs change.

Fedora Account System Username: mariobl
Comment 1 Mario Blättermann 2013-09-01 11:08:11 EDT
Note, there's currently no permanent download link. The file can be fetched from Google Drive. I've contacted the upstream author to get a real link.
Comment 2 Mario Blättermann 2013-09-04 15:34:00 EDT
After some discussion with the upstream maintainer, I will package this from the low-level sources instead of using the prebuilt monolithic Postscript file. But I get stuck in problems with urw-fonts, I've added my error message to an existing bug report (bug #921706).

Here are my current files:
http://mariobl.fedorapeople.org/Review/SPECS/postscriptbarcode.spec
http://mariobl.fedorapeople.org/Review/SRPMS/postscriptbarcode-20130603-2.fc19.src.rpm

(Note, I've renamed the package because it is no real library)
Comment 3 Terry Burton 2013-10-16 11:34:42 EDT
In case it encourages a reviewer to step forward, I am the upstream author of Barcode Writer in Pure PostScript and happily second the inclusion of this package in Fedora/RHEL.

I have modified my release process to address the lack of an upstream permalink. 

The release files are now available from here:

https://www.dropbox.com/sh/ulodv2n77skph8a/Gm-6JrVxPZ

You can transform the links therein as follows to provide a permalink for direct download: https://www.dropbox.com -> https://dl.dropboxusercontent.com

For example:

https://dl.dropboxusercontent.com/sh/ulodv2n77skph8a/BohpMqG7f7/postscriptbarcode-source-2013-10-06.tgz
Comment 4 Mario Blättermann 2013-10-20 14:19:44 EDT
Newest attempt to build it from scratch:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6081596

It fails again:

build/make_packaged_resource src/preamble.ps build/packaged_resource/Resource/Category/uk.co.terryburton.bwipp
GPL Ghostscript 9.10: Unrecoverable error, exit code 1
GS error at build/make_packaged_resource line 58.
Error: /undefinedfilename in --.findfont--
Operand stack:
   Helvetica   18   Helvetica   Font   Helvetica   4445597   Helvetica   --nostringval--   Helvetica   NimbusSanL-Regu   (/usr/share/ghostscript/9.10/Resource/Font/NimbusSanL-Regu)   (/usr/share/ghostscript/9.10/Resource/Font/NimbusSanL-Regu)   (r)
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1884   1   3   %oparray_pop   1883   1   3   %oparray_pop   1867   1   3   %oparray_pop   1755   1   3   %oparray_pop   --nostringval--   %errorexec_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   1789   2   5   %oparray_pop   --nostringval--   false   1   %stopped_push   --nostringval--   1836   3   5   %oparray_pop   --nostringval--   false   1   %stopped_push   1829   4   5   %oparray_pop   findresource   %errorexec_pop   --nostringval--   --nostringval--   --nostringval--   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1778   7   6   %oparray_pop   --nostringval--   --nostringval--   --nostringval--   --nostringval--   --nostringval--   1   %stopped_push   --nostringval--   %loop_continue   --nostringval--   --nostringval--   false   1   %stopped_push
Dictionary stack:
   --dict:1177/1684(ro)(G)--   --dict:0/20(G)--   --dict:82/200(L)--   --dict:24/24(ro)(L)--   --dict:82/200(L)--   --dict:20/27(ro)(G)--   --dict:1177/1684(ro)(G)--
Current allocation mode is local
Current file position is 40427
RPM build errors:
make: *** [build/packaged_resource/Resource/Category/uk.co.terryburton.bwipp] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.SNY4En (%build)
    Bad exit status from /var/tmp/rpm-tmp.SNY4En (%build)


I've created a new bug report for ghostscript.
Comment 5 Mario Blättermann 2013-10-23 15:30:59 EDT
The build problem has been solved by changing the build command. Here are the new files, based on the latest upstream version:

Spec URL: http://mariobl.fedorapeople.org/Review/SPECS/postscriptbarcode.spec
SRPM URL: http://mariobl.fedorapeople.org/Review/SRPMS/postscriptbarcode-20131006-1.fc19.src.rpm
Comment 6 Peter Lemenkov 2013-10-29 14:25:41 EDT
I'll review this.
Comment 7 Peter Lemenkov 2013-10-29 14:34:50 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is mostly silent

sulaco ~/rpmbuild/SPECS: rpmlint ../SRPMS/postscriptbarcode-20131006-1.fc21.src.rpm ../RPMS/noarch/postscriptbarcode-20131006-1.fc21.noarch.rpm 
postscriptbarcode.src: W: spelling-error Summary(en_US) Barcode -> Bar code, Bar-code, Barcarole
postscriptbarcode.src: W: spelling-error %description -l en_US Barcode -> Bar code, Bar-code, Barcarole
postscriptbarcode.src: W: spelling-error %description -l en_US barcode -> bar code, bar-code, barcarole

^^^ False positives

postscriptbarcode.src: W: invalid-url Source0: https://dl.dropboxusercontent.com/sh/ulodv2n77skph8a/UKARRFBnRV/postscriptbarcode-source-2013-10-06.tgz HTTP Error 403: Forbidden

^^^ I don't know what's wrong with this URL. I just downloaded it using cUrl. Let's just ignore this message.

postscriptbarcode.noarch: W: spelling-error Summary(en_US) Barcode -> Bar code, Bar-code, Barcarole
postscriptbarcode.noarch: W: spelling-error %description -l en_US Barcode -> Bar code, Bar-code, Barcarole
postscriptbarcode.noarch: W: spelling-error %description -l en_US barcode -> bar code, bar-code, barcarole

^^^ Likewise. False positives.

2 packages and 0 specfiles checked; 0 errors, 7 warnings.
sulaco ~/rpmbuild/SPECS: 


+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (MIT).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum postscriptbarcode-source-2013-10-06.tgz*
9ed3847ebf73198eeef52499959349951812e05987d4450aab0c40f82fe79e5f  postscriptbarcode-source-2013-10-06.tgz
9ed3847ebf73198eeef52499959349951812e05987d4450aab0c40f82fe79e5f  postscriptbarcode-source-2013-10-06.tgz.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.

- The package MUST own all directories that it creates. Please claim ownership on %{_datadir}/%{name}

+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ All filenames in rpm packages are valid UTF-8.

I don't see any other issues except easy-to-fix one with unowned directory (please fix it before uploading). Therefore I declare this package as


APPROVED.
Comment 8 Mario Blättermann 2013-10-29 15:14:47 EDT
Many thanks for the review!

(In reply to Peter Lemenkov from comment #7)
> - The package MUST own all directories that it creates. Please claim
> ownership on %{_datadir}/%{name}
OK, I will add "%dir %{_datadir}/%{name}" to the file list when importing the package into the Git repo.
Comment 9 Mario Blättermann 2013-10-29 15:16:40 EDT
New Package SCM Request
=======================
Package Name: postscriptbarcode
Short Description: Barcode Writer in Pure PostScript
Owners: mariobl
Branches: f19 f20
Comment 10 Jon Ciesla 2013-10-30 08:02:42 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-10-31 04:58:33 EDT
postscriptbarcode-20131006-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/postscriptbarcode-20131006-2.fc19
Comment 12 Fedora Update System 2013-10-31 04:58:47 EDT
postscriptbarcode-20131006-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/postscriptbarcode-20131006-2.fc20
Comment 13 Fedora Update System 2013-10-31 13:37:47 EDT
postscriptbarcode-20131006-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 14 Fedora Update System 2013-11-08 22:34:09 EST
postscriptbarcode-20131006-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-11-10 01:34:39 EST
postscriptbarcode-20131006-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.